<template>
    <div class="col-xs-12 col-sm-6">
        <div v-if="server">
            <p>Server #{{ server.id }}</p>
            <h2>{{ server.code }}</h2>
            <p>{{ server.text }}</p>
            <hr>
            <button @click="setToOk">Set to Ok</button>
        </div>
        <p v-else>Choose server</p>
    </div>

</template>

<script>
    import { eventBus } from '../../main';

    export default {
        data() {
            return {
                server: null
            }
        },
        created() {
            eventBus.$on('updateDetails', server => {
                this.server = server;
            });
        },
        methods: {
            setToOk() {
                // Will update and stay because objects passed by reference
                // So only one object exists and we update that one object
                this.server.code = 200;
                this.server.text = 'Ok';
            }
        }
    }
</script>

<style>

</style>
